keep

# path[pcmcia]=/lib/modules/`uname -r`/
# path[misc]=/lib/modules/`uname -r`/

alias usb-controller usb-ohci
alias usb-controller1 ehci-hcd
alias usb-controller2 ehci-hcd

alias bt-proto-0   l2cap

# options p4-clockmod stock_freq=17000000
# options irport		io=0x3e8,irq=11
# options smc-ircc	ircc_cfg=0xe0,ircc_fir=0x100,ircc_sir=0x3e8,ircc_dma=0x2
# options smc-ircc	ircc_dma=0x1 ircc_irq=0x8
# options parport_pc 	io=0x378,0x278 irq=7,auto
# options sound dmabuf=1
# alias /dev/ppp ppp_generic
options nsc-ircc dma=3 irq=3,13 io=0x3e8 
options orinoco_cs irq_list=6,13 

alias ppp-compress-21 bsd_comp
alias ppp-compress-24 ppp_deflate
alias ppp-compress-26 ppp_deflate

alias tty-ldisc-3 ppp_async
alias tty-ldisc-11 nsc-ircc
alias tty-ldisc-14 ppp_synctty
alias tty-ldisc-15 hci_uart

alias parport_lowlevel parport_pc

alias block-major-2 floppy
alias block-major-22 ide-cd

# alias char-major-10-134 apm
alias char-major-10-135 rtc
alias char-major-10-144 nvram
alias char-major-10-150 atkbd
alias char-major-10-165 vmmon
alias char-major-10-175 agpgart
alias char-major-10-187 irnet
alias char-major-10-200 tun
alias char-major-10-250 hci_vhci
alias char-major-13-32 psmouse
alias char-major-13-63 mousedev
alias char-major-14 i810_audio
alias char-major-14-3 i810_audio
alias char-major-21 sg
alias char-major-36-0 netlink_dev
alias char-major-60 ircomm_tty
alias char-major-62 ltmodem
alias char-major-89 i2c-dev
alias char-major-97 off
alias char-major-108 ppp_generic
# alias char-major-161 ircomm-tty
alias char-major-188 pl2303
alias char-major-226 hci_uart
alias char-major-226 radeon

alias sound-slot-0 i810_audio
alias sound-slot-1 i810_audio
alias sound-service-1-0 i810_audio
alias sound-service-1-1 i810_audio
alias sound-service-1-2 i810_audio
alias sound-service-1-3 i810_audio
alias sound-service-1-4 i810_audio

alias net-pf-1 unix
alias net-pf-3 off
alias net-pf-4 off
alias net-pf-5 off
alias net-pf-10 ipv6
alias net-pf-17 af_packet
alias net-pf-31 hci_usb

alias eth0 eepro100
alias wvlan0 orinoco_cs
alias irda0 nsc-ircc
alias irlan0 irlan

alias loop-xfer-gen-0 loop_gen
alias loop-xfer-gen-10 loop_gen

alias cipher-2 des
alias cipher-4 blowfish
alias cipher-6 idea
alias cipher-7 serp6f
alias cipher-8 mars6
alias cipher-11 rc62
alias cipher-15 dfc2
alias cipher-16 rijndael
alias cipher-17 rc5

# install ltmodem insmod "-f" "-k" "ltmodem"
pre-install ircomm /sbin/modprobe nsc-ircc
post-install nsc-ircc echo `hostname` > /proc/sys/net/irda/devname
post-install nsc-ircc echo 115200 > /proc/sys/net/irda/max_baud_rate
post-install nsc-ircc echo 1 > /proc/sys/net/irda/discovery

# options ide-cd ignore=hdc 
alias scd0 sr_mod
#pre-install sg modprobe ide-scsi
#pre-install sr_mod modprobe ide-scsi
#pre-install ide-cd modprobe cdrom
#pre-install ide-scsi modprobe ide-cd

# pre-install radeon /sbin/modprobe agpgart
pre-install psmouse /sbin/modprobe mousedev

post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :

